Name:           gnome-calendar
Version:        3.38.2
Release:        2
Summary:        A simple and beautiful calendar application for GNOME.

License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Calendar
Source0:        https://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz

Patch0:         84.patch
Patch1:		4-4-gnome-calendar-update-to-3.38.1-add-libhandy-1.x-support.patch

BuildRequires:  gcc gettext gtk-doc meson pkgconfig(geocode-glib-1.0) pkgconfig(gio-2.0) >= 2.58.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.58.0 pkgconfig(gsettings-desktop-schemas) >= 3.21.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.20 pkgconfig(gweather-3.0) pkgconfig(libedataserver-1.2) >= 3.33.2
BuildRequires:  pkgconfig(libdazzle-1.0) pkgconfig(libecal-2.0) >= 3.33.2 pkgconfig(libical) >= 3.0.5
BuildRequires:  pkgconfig(libgeoclue-2.0) pkgconfig(libhandy-1) pkgconfig(libsoup-2.4)
BuildRequires:  libappstream-glib desktop-file-utils

Requires:       evolution-data-server >= 3.33.2
Requires:       glib2 >= 2.58.0
Requires:       gsettings-desktop-schemas >= 3.21.2
Requires:       gtk3 >= 3.22.20
Requires:       libical >= 3.0.5

%description
GNOME Calendar is a simple and beautiful calendar application for GNOME. it gives
a lot of attention to details, and as such, design is an essential and ongoing
effort.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-calendar

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Calendar.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Calendar.appdata.xml

%files -f %{name}.lang
%doc NEWS README.md
%license COPYING
%{_bindir}/gnome-calendar
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.Calendar*.svg
%{_datadir}/metainfo/org.gnome.Calendar.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.*.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini

%changelog
* Tue Jul 27 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-2
- Remove unnecessary "%" in Requires

* Wed Jun 16 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.2-1
- Package init with version 3.38.2
- Add '84.patch' that "avoid crashing when year view's weather icon is NULL"
- Add 4-4-gnome-calendar-update-to-3.38.1-add-libhandy-1.x-support.patch
